import request from '@/utils/request'
export function listProcedure1(query) {
  return request({
    url: '/system/procedure/all',
    method: 'get',
    params: query
  })
}
export function listProcedureGX(text) {
  console.log('111',text)
  return request({
    url: '/system/procedure/gongxu',
    method: 'post',
    data: text
  })
}

// 查询工序任务列表
export function listProcedure(query) {
  return request({
    url: '/system/procedure/list',
    method: 'get',
    params: query
  })
}``

// 查询工序任务详细
export function getProcedure(id) {
  return request({
    url: '/system/procedure/' + id,
    method: 'get'
  })
}

// 新增工序任务
export function addProcedure(data) {
  return request({
    url: '/system/procedure',
    method: 'post',
    data: data
  })
}

// 修改工序任务
export function updateProcedure(data) {
  return request({
    url: '/system/procedure',
    method: 'put',
    data: data
  })
}

// 删除工序任务
export function delProcedure(id) {
  return request({
    url: '/system/procedure/' + id,
    method: 'delete'
  })
}
